AOZ Studio Beta - Bug #760

Direct mode - Arrays shown flipped
05/28/2021 09:59 PM - Paul Kitching

Status: Resolved Start date: 05/28/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

If you have an array and view it with the listvars button, the x,y positions are the wrong way round.

dim test (3, 3)
test (0,1)=1
test (1,1)=1
test (3,2)=1

shows:

(0) 0,1,0,0"
(1) ="0,1,0,0"
(2 ) ="0,0,0,0"
( 3) '0,0,1,0"
instead of:

(0) ="0,0,0,0"
(1) ="1,1,0,0"
(2) ="0,0,0,1"
(3)="0,0,0,0"

It's been diagonally flipped, which makes it complicated when looking at it and trying to work out where things are in the array.

History

#1 - 09/07/2021 06:54 AM - Francois Lionet

- Assignee changed from Francois Lionet to Baptiste Bideaux

Je t'ai assigne le bug Baptiste... ;)

#2 - 09/19/2021 06:49 PM - Paul Kitching
- Affected version changed from Beta 7 to 1.0.0 (B10) u16

Still a problem in Beta 10.

If you do a dim x(5,3) you get the 5 going down instead of across. Looking at arrays is very difficult like this.

#3 - 09/28/2021 03:52 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee changed from Baptiste Bideaux to Francois Lionet

Resolved~!
